# 81. Query: ottieni il GeoJSON di "EquationMap"

Ottieni GeoJSON di "EquationMaps" filtrati per `equationMapUuids`.

L'attributo `equationMapGeojson` contiene GeoJSON con i `Poligoni` o `MultyPolygons` inclusi gli attributi delle feature geospaziali come `id`, `value` e `area` nelle unità definite.

Dettagli chiave:

* Parametro `asMultiGeometry: true` significa che il `Poligoni` (celle della "Equation Map") saranno uniti in `MultiPoligoni` basato sul `value` attributo di ogni cella della "Equation Map".
* L'area di output può essere configurata utilizzando il `unit` parametro. Opzioni disponibili: `ACRI`,  `ETTARI`, `METRI_QUADRATI`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Se le geometrie non sono richieste (sono necessari solo gli attributi), allora c'è `attributesJson` invece di `equationMapGeojson` da usare.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/81.-query-ottieni-il-geojson-di-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
